Storyden
Admin

O Auth Remote Connection Authorize

Start OAuth authorization code with PKCE for a remote OAuth connection and return the authorization URL to open in a browser.

POST/admin/oauth/remote/connections/{oauth_remote_connection_id}/authorize

Start OAuth authorization code with PKCE for a remote OAuth connection and return the authorization URL to open in a browser.

Authorization

storyden-session<token>

In: cookie

Path Parameters

oauth_remote_connection_id*string

Remote OAuth connection ID.

Formatxid

Response Body

application/json

application/json

curl -X POST "https://example.com/admin/oauth/remote/connections/string/authorize"
{  "connection": {    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "resource_url": "http://example.com",    "resource": "string",    "resource_name": "string",    "authorization_server": "http://example.com",    "mode": "cimd",    "status": "pending",    "client_id": "string",    "has_client_secret": true,    "authorization_endpoint": "http://example.com",    "token_endpoint": "http://example.com",    "registration_endpoint": "http://example.com",    "token_endpoint_auth_method": "string",    "redirect_uri": "http://example.com",    "redirect_uris": [      "http://example.com"    ],    "scope": "string",    "has_access_token": true,    "has_refresh_token": true,    "token_type": "string",    "token_expiry": "2019-08-24T14:15:22Z",    "last_error": "string"  },  "authorization_url": "http://example.com"}